use crate::prelude::*;

mod cli;
mod file_watcher;
mod observe;
mod prelude;
mod router;
mod state;
mod static_files;
mod tailwind;
mod templates;
mod webserver;

#[tokio::main]
async fn main() -> AnonResult<()> {
    Ok(cli::cli().exec().await?)
}
